Subject: Re: New on sourceware: vim-5.7-4
From: [email-masked] (Michael Ring)
To: Reid Thompson <[email-masked]>
Cc: [email-masked]
Date: Wed, 12 Jul 2000 14:36:26 +0200

On Wed, 12 Jul 2000 05:17:23 -0700 (PDT), you wrote:

>As info, gvim is not functional --
>
>$vi -g
>$GUI cannot be used: Not enabled at compile time
>
>would it be possible to add this?
>also gvimdiff yield the following output:

I have had thoughts about this. Of course, it works, but you will have
to have a X-Server running in order to use gvim. Right now neiter a
x-server nor the x-libraries are part of the distribution in latest.
The libraries are available on sourceware in /pub/cygwin/xfree/* and
the X-server in there also seems to work.

But all this is not in the current cygwin, so I decided to keep all
the X11 stuff out of the distribution. 

If you want gvim, compile it from source, instructions to do so are
included in the distribution. 

If there is a public demand for gvim I will compile it and send it to
the maintainer of the xfree directory.

>
>WS014_NT500:/home/rthompso>/usr/share/vim/vim57/tools/gvimdiff
>.exrcOld _exrc
>getopts: not found
>expr: syntax error
>gvimdiff: display highlighted differences between two
>files side-by-side in gvim
>
>Usage: gvimdiff [ -s ] [ -f font ] [ -n ] [ -w width ]

Hmmm no gvim, no gvimdiff.

Perhaps everything works automagically once gvim was compiled.

Michael Ring

--
Want to unsubscribe from this list?
Send a message to [email-masked]